PrefabFiles = {
	"freddy",
	"fedora",
	"glove",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/freddy.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/freddy.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/freddy.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/freddy.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/freddy_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/freddy_silho.xml" ),

    Asset( "IMAGE", "bigportraits/freddy.tex" ),
    Asset( "ATLAS", "bigportraits/freddy.xml" ),
	
	Asset( "IMAGE", "images/map_icons/freddy.tex" ),
	Asset( "ATLAS", "images/map_icons/freddy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_freddy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_freddy.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_freddy.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_freddy.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_freddy.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_freddy.xml" ),
	
	Asset( "IMAGE", "images/names_freddy.tex" ),
    Asset( "ATLAS", "images/names_freddy.xml" ),
	
    Asset( "IMAGE", "bigportraits/freddy_none.tex" ),
    Asset( "ATLAS", "bigportraits/freddy_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- local DISGUISED = GLOBAL.Action()
-- DISGUISED.str = "Disguised"
-- DISGUISED.id = "DISGUISED"
-- DISGUISED.fn = function(act)
            -- local silent = true
            -- if act.target.transformed then
                -- act.target.AnimState:SetBuild("freddy")
            -- else
                -- act.target.AnimState:SetBuild("freddy_disguised")
            -- end
            -- Reverses the boolean.
            -- act.target.transformed = not act.target.transformed
            -- return true
-- end
  
-- AddAction(DISGUISED)  

-- The character select screen lines
STRINGS.CHARACTER_TITLES.freddy = "The Nightmare"
STRINGS.CHARACTER_NAMES.freddy = "Freddy Krueger"
STRINGS.CHARACTER_DESCRIPTIONS.freddy = "*Starts with his glove and hat.\n*Not scared of the dark.\n*Child murderer."
STRINGS.CHARACTER_QUOTES.freddy = "\"One, two, Freddy's coming for you.\""

-- Custom speech strings
STRINGS.CHARACTERS.FREDDY = require "speech_freddy"

-- The character's name as appears in-game 
STRINGS.NAMES.FREDDY = "Freddy"

-- The default responses of examining the character
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FREDDY = 
{
	GENERIC = "It's %s!",
	ATTACKER = "That %s looks shifty...",
	MURDERER = "Murderer!",
	REVIVER = "%s, friend of ghosts.",
	GHOST = "%s could use a heart.",
}

GLOBAL.STRINGS.NAMES.FEDORA = "Fedora"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.FEDORA = "A dirty old fedora."
STRINGS.CHARACTERS.FREDDY.DESCRIBE.FEDORA = "It's my hat."

GLOBAL.STRINGS.NAMES.GLOVE = "Freddy's Glove"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.GLOVE = "A glove modified with sheet metal, pipes, fishing knives, and rivets."
STRINGS.CHARACTERS.FREDDY.DESCRIBE.GLOVE = "Made it myself."

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "freddy")


AddMinimapAtlas("images/map_icons/freddy.xml")
AddModCharacter("freddy")

